Bug 1270135 - firewalld.service should not be Before NetworkManager
firewalld.service should not be Before NetworkManager
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 00:46 EDT by Giovanni Campagna
Modified: 2016-12-20 09:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:55:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Campagna 2015-10-09 00:46:35 EDT
Description of problem:
firewalld.service currently lists NetworkManager.service in its Before dependency, therefore systemd will refuse starting the latter until the former is ready.

This is not needed and it's wrong: NetworkManager will dbus activate firewalld when it needs it, and will happily asynchronously wait for a reply on the bus if firewalld is not ready by the time the call happens.

By removing the explicit dep, you allow NM to start up early and claim the name early, which in turns allows gnome-shell to start earlier so the user can type the password while the rest of the system loads.

Version-Release number of selected component (if applicable):
firewalld-0.3.14.2-4.fc23.noarch
Comment 1 Thomas Woerner 2015-10-23 10:49:41 EDT
Starting firewalld late, also while activating a network connection or interface, is bad and could lead for example to failed DHCP requests or time frames without a firewall in place. This would be very bad from a security standpoint.

It is very important to start the firewall before any network device is activated. firewalld lists network.target in Before, not NetworkManager.service. 

A different solution to be able to start gnome-shell early would be to drop the dependency to network.target in gnome-shell.
Comment 2 Giovanni Campagna 2015-12-19 08:56:08 EST
(Sorry I missed this needinfo)

(In reply to Thomas Woerner from comment #1)
> Starting firewalld late, also while activating a network connection or
> interface, is bad and could lead for example to failed DHCP requests or time
> frames without a firewall in place. This would be very bad from a security
> standpoint.

This is not about starting network connections before firewalld, it's about starting NetworkManager (the service) before firewalld.
NM is able to wait for firewalld before touching the network, while still processing DBus requests and without delaying the startup of other components.

> 
> It is very important to start the firewall before any network device is
> activated. firewalld lists network.target in Before, not
> NetworkManager.service. 

This is not factually true: firewalld lists both network.target and NetworkManager.service.

> A different solution to be able to start gnome-shell early would be to drop
> the dependency to network.target in gnome-shell.

There is no dependency on network.target. There is a (DBus) dependency on NetworkManager to show the network UI.
Comment 3 Fedora End Of Life 2016-11-24 07:44:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:55:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.